#include <bits/stdc++.h>
using namespace std;
bool compare(const pair<int, int>&i, const pair<int, int>&j)
{
    return i.second < j.second;
}

int main() {

    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    int n;
    cin >> n;
    pair<int, int> pos[n];
    int x, y;
    for (int i = 0; i < n; i++)
    {
        cin >> x >> y;
        pos[i] = make_pair(x, y);
    }
    sort(pos, pos+n);
    int rezultat = 0;
    for (int i = 0; i < n; i++)
    {
        rezultat += abs(i+1 - pos[i].first);
    }
    sort(pos, pos+n, compare);
    for (int i = 0; i < n; i++)
    {
        rezultat += abs(i+1 - pos[i].second);
    }
    cout << rezultat;
    return 0;
}